Package de.willuhn.jameica.hbci

# Class HBCI

java.lang.Object
de.willuhn.jameica.plugin.AbstractPlugin
de.willuhn.jameica.hbci.HBCI

All Implemented Interfaces:
  `de.willuhn.jameica.plugin.Plugin`

public class HBCI extends de.willuhn.jameica.plugin.AbstractPlugin
Basis-Plugin-Klasse von Hibiscus.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final boolean`
`COMPLETE_IBAN`
Flag, mit dem das automatische Berechnen der IBAN aktiviert werden kann.
`static DateFormat`
`DATEFORMAT`
Datums-Format dd.MM.yyyy.
`static DecimalFormat`
`DECIMALFORMAT`
DecimalFormat.
`static DateFormat`
`FASTDATEFORMAT`
Datums-Format ddMMyyyy.
`static final HashMap`
`LOGMAPPING`
Mapper von HBCI4Java nach jameica Loglevels
`static DateFormat`
`LONGDATEFORMAT`
Datums-Format dd.MM.yyyy HH:mm.
`static DateFormat`
`SHORTDATEFORMAT`
Datums-Format dd.MM.
`static DateFormat`
`XTRALONGDATEFORMAT`
Datums-Format dd.MM.yyyy HH:mm:ss.

## Constructor Summary

Constructors
Constructor
Description
`HBCI()`
ct.

## Method Summary

Modifier and Type
Method
Description
`static HibiscusDBObject`
`getContext(org.kapott.hbci.passport.HBCIPassport passport)`
Versucht den zugehoerigen Auftrag zu ermitteln.
`org.kapott.hbci.callback.HBCICallback`
`getHBCICallback()`
Liefert den aktuellen HBCI-Callback.
`Properties`
`getHBCIProperties()`
Liefert die Properties, mit denen HBCI4Java initialisiert wurde.
`void`
`init()`
`final void`
`initHBCI(String callbackClass)`
Initialisiert das HBCI4Java-Subsystem.
`void`
`install()`
`void`
`uninstall(boolean deleteUserData)`

### Methods inherited from class de.willuhn.jameica.plugin.AbstractPlugin

`getManifest, getResources, shutDown, update`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### COMPLETE_IBAN

public static final boolean COMPLETE_IBAN
Flag, mit dem das automatische Berechnen der IBAN aktiviert werden kann.

### LONGDATEFORMAT

public static DateFormat LONGDATEFORMAT
Datums-Format dd.MM.yyyy HH:mm.

### XTRALONGDATEFORMAT

public static DateFormat XTRALONGDATEFORMAT
Datums-Format dd.MM.yyyy HH:mm:ss.

### DATEFORMAT

public static DateFormat DATEFORMAT
Datums-Format dd.MM.yyyy.

### SHORTDATEFORMAT

public static DateFormat SHORTDATEFORMAT
Datums-Format dd.MM.

### FASTDATEFORMAT

public static DateFormat FASTDATEFORMAT
Datums-Format ddMMyyyy.

### DECIMALFORMAT

public static DecimalFormat DECIMALFORMAT
DecimalFormat.

### LOGMAPPING

public static final HashMap LOGMAPPING
Mapper von HBCI4Java nach jameica Loglevels

## Constructor Details

### HBCI

public HBCI()
ct.

## Method Details

### init

public void init() throws de.willuhn.util.ApplicationException

Specified by:
  `init` in interface `de.willuhn.jameica.plugin.Plugin`
Overrides:
  `init` in class `de.willuhn.jameica.plugin.AbstractPlugin`
Throws:
  `de.willuhn.util.ApplicationException`
See Also:
  - `AbstractPlugin.init()`

### install

public void install() throws de.willuhn.util.ApplicationException

Specified by:
  `install` in interface `de.willuhn.jameica.plugin.Plugin`
Overrides:
  `install` in class `de.willuhn.jameica.plugin.AbstractPlugin`
Throws:
  `de.willuhn.util.ApplicationException`
See Also:
  - `AbstractPlugin.install()`

### uninstall

public void uninstall(boolean deleteUserData) throws de.willuhn.util.ApplicationException

Specified by:
  `uninstall` in interface `de.willuhn.jameica.plugin.Plugin`
Overrides:
  `uninstall` in class `de.willuhn.jameica.plugin.AbstractPlugin`
Throws:
  `de.willuhn.util.ApplicationException`
See Also:
  - `AbstractPlugin.uninstall(boolean)`

### initHBCI

public final void initHBCI(String callbackClass) throws de.willuhn.util.ApplicationException
Initialisiert das HBCI4Java-Subsystem.

Parameters:
  `callbackClass` - der zu verwendende Callback.
Throws:
  `de.willuhn.util.ApplicationException`

### getHBCICallback

public org.kapott.hbci.callback.HBCICallback getHBCICallback()
Liefert den aktuellen HBCI-Callback.

Returns:
  liefert den verwendeten HBCICallback.

### getHBCIProperties

public Properties getHBCIProperties()
Liefert die Properties, mit denen HBCI4Java initialisiert wurde.

Returns:
  die Properties, mit denen HBCI4Java initialisiert wurde.

### getContext

public static HibiscusDBObject getContext(org.kapott.hbci.passport.HBCIPassport passport)
Versucht den zugehoerigen Auftrag zu ermitteln.

Parameters:
  `passport` - der Passport.
Returns:
  der Auftrag oder NULL, wenn er nicht ermittelbar war.